FreeMat

- Main Page
- Related Pages

vtkRIBProperty

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkRIBProperty is a subclass of vtkProperty that allows the user to specify named shaders for use with RenderMan. Both a surface shader and displacement shader can be specified. Parameters for the shaders can be declared and set.

To create an instance of class vtkRIBProperty, simply invoke its constructor as follows

      obj = vtkRIBProperty

# Methods

The class vtkRIBProperty has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRIBProperty class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRIBProperty = obj.NewInstance ()`
- `vtkRIBProperty = obj.SafeDownCast (vtkObject o)`
- `obj.SetSurfaceShader (string )` - Specify the name of a surface shader.
- `string = obj.GetSurfaceShader ()` - Specify the name of a surface shader.
- `obj.SetDisplacementShader (string )` - Specify the name of a displacement shader.
- `string = obj.GetDisplacementShader ()` - Specify the name of a displacement shader.
- `obj.SetVariable (string variable, string declaration)` - Specify declarations for variables..
- `obj.AddVariable (string variable, string declaration)` - Specify declarations for variables..
- `string = obj.GetDeclarations ()` - Get variable declarations
- `obj.SetParameter (string parameter, string value)` - Specify parameter values for variables.
- `obj.AddParameter (string parameter, string value)` - Specify parameter values for variables.
- `string = obj.GetParameters ()` - Get parameters.